body {
    margin: 0; 
    padding: 0; 
}

.menu_name{
    background-color: #561010;
    border-radius: 0.5rem;
    margin: inherit;
    padding-left: 10px;
    padding-right: 10px;
    border-style: solid;
}

.container {
    background-color: #365F5D;
    color: white;
    padding: 16px;
    position: fixed;
    width: 100%;
    z-index: 1000;
    top: 0;
    left: 0;
    height: auto; 
    box-sizing: border-box;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 16px;
    justify-content:center
}

.categories-wrapper {
    overflow-x: auto; 
    -webkit-overflow-scrolling: touch; 
}

.categories {
    display: flex;
    gap: 16px;
    justify-content: start; 
    padding-bottom: 16px;
    white-space: nowrap; 
}

.category-btn {
    background-color: #ffffff4d;
    padding: 8px;
    border-radius: 8px;
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    
    
}

.category-btn.selected {
    background-color: #ffc400;
    color: white;
    
}


.category-img {
    margin-bottom: 8px;
}

.main-content {
    padding-top: 220px;
}

.products {
    background-color: #f4f4f5;
    padding: 16px;
}

.product-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
}

@media (min-width: 768px) {
    .product-grid {
        grid-template-columns: 1fr 1fr;
    }
}

.product-card {
    background-color: white;
    padding: 16px;
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: flex-start;
}

.product-img {
}

.product-info {
    width: 66.66%;
    padding-left: 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
    min-height: 100px; 
}

.product-info h3 {
    font-weight: 600;
    font-size: 1.125rem;
    margin: 0; 
}

.product-info .description {
    flex-grow: 1;
    display: flex;
    align-items: center;
    font-size: 0.875rem; 
    color: #4B5563; 
    margin: 4px 0;
    text-align: left;
}

.product-info .price {
    font-size: 1.25rem; 
    font-weight: 700;
    margin: 4px 0; 
}

.section-title-wrapper {
    display: flex;
    align-items: center;
    text-align: center;
    margin-bottom: 1rem; 
    position: relative; 
}

.section-title-wrapper::before,
.section-title-wrapper::after {
    content: "";
    flex: 1;
    border-top: 1px solid #2f855a; 
    --tw-bg-opacity: 1.1; 
}

.section-title {
    font-size: 1.25rem; 
    font-weight: 600; 
    background-color: #2f855a; 
    color: white; 
    padding: 0.25rem 0.5rem; 
    border-radius: 0.25rem;
}









.sliding-panel {
    display: none;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    max-width: 600px;
    background-color: white;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    padding: 20px;
    z-index: 1050;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}
.slide-in {
    animation: slideIn 0.5s forwards;
}
.slide-out {
    animation: slideOut 0.5s forwards;
}
@keyframes slideIn {
    from { transform: translate(-50%, 100%); }
    to { transform: translate(-50%, 0); }
}
@keyframes slideOut {
    from { transform: translate(-50%, 0); }
    to { transform: translate(-50%, 100%); }
}
.exit-btn {
    background-color: transparent;
    border: none;
    font-size: 20px;
    cursor: pointer;
    float: inline-end;
}
.image-container {
    text-align: center;
    margin: 20px 0;
}
.image-container img {
    width: 200px;
    height: 200px;
    border-radius: 0.5rem;
}
.separator {
    border-top: 1px solid #ccc;
    margin: 20px 0;
}
.description {
    text-align: center;
}









.btn-square {
    width: 80px;
    height: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    border-radius: 8px;
    background-color: #fff; /* رنگ پس‌زمینه سفید برای دکمه */
    overflow: hidden;
}

.btn-img {
    width: 100%;
    height: 70%; /* ارتفاع عکس نسبت به دکمه */
    /* object-fit: cover; */
}

.btn-text {
    width: 100%;
    height: 30%; /* ارتفاع متن نسبت به دکمه */
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(199 0 0 / 96%);
    color: white;
    text-align: center;
    padding: 5px;
    font-size: 11px;
    box-sizing: border-box;
    word-break: break-word; /* شکستن کلمات طولانی */
    white-space: normal; /* فعال کردن چند خطی شدن متن */
    line-height: 1.2; /* تنظیم فاصله بین خطوط */
}








.product-img {
    position: relative;
}

.sold-out-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    opacity: 0.9; 
}


.panelPrices {
    text-align: center;
}

.centered-table {
    margin: 0 auto; /* برای مرکز کردن جدول */
    border-collapse: collapse; /* برای حذف فاصله‌های بین سلول‌ها */
    width: 50%; /* یا هر عرضی که مناسب است */
  }

  .centered-table th, .centered-table td {
    border: 1px solid #ddd; /* برای اضافه کردن خط مرزی */
    padding: 8px; /* برای فضای داخلی سلول‌ها */
    text-align: center; /* تنظیم متن به صورت افقی در وسط */
    vertical-align: middle; /* تنظیم متن به صورت عمودی در وسط */
  }

  .centered-table th {
    background-color: #f2f2f2; /* رنگ پس‌زمینه هدر جدول */
  }

